eSkill | What are the minimum system requirements...

What are the minimum system requirements needed to take an eSkill assessment?

Last Updated: Feb 04, 2016
To access the eSkill application, all you need is a computer with an Internet connection.
 
  • PC-based test takers: Windows® XP SP3, 2003 Server, 2008 Server, Vista,7 SP1, 8.1, 10, or Linux.
  • Macintosh®-based test takers: Mac OS® X 10.3.9 (Panther®), or newer.
 
The eSkill web application is compatible with Internet Explorer 9 (or later), Edge 20 (or later), Firefox 3.6 (or later), as well as Chrome 5 (or later) on a PC, and with Safari 8 (or later) on a Mac.

To download one of these eSkill-compatible browsers at no charge, go to one of the following links:
​  
Any hardware system that can run IE9 effectively should be adequate, with Pentium III, 700 MHz, and 512MB RAM as a suggested minimum. Using eSkill requires a minimum 56 kbps Internet connection.

You also need to have JavaScript installed and running on your web browser in order to take any eSkill assessments.

For the questions that include audio files, you need to have Adobe Flash Player 10 or later installed, or use a compatible browser that offers support for HTML5.

Examples of browsers that support HTML5 are the following: Internet Explorer 9 (or later), Edge 20 (or later), Firefox 26 (or later), as well as Chrome 5 (or later) on a PC, and Safari 8 (or later) on on a Mac.

If you need to install Adobe Flash Player, access the following link, download the application, and then follow the wizard.

​​If you are having trouble with your Adobe Flash Player, check the following links for a solution.

Contact Us

  • Post a Public Question
  • Email Us
  • Email Us
customersupport@eskill.com
http://assets2.desk.com/
false
desk
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete